Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

Specifies flags that control the binding and the invocation processes conducted by reflection.

This enumeration is used by reflection classes such as , , and . values are used to control binding in methods in classes that find and invoke, create, get, and set members and types.

To specify multiple values, use the bitwise 'OR' operator.

- Field
  System.Reflection.BindingFlags CreateInstance

  Specifies that an instance of a type will be created.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags DeclaredOnly

  Specifies that only the members declared on a type will be searched when binding. When this field is specified, inherited members will not be searched.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags Default To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags ExactBinding

  Specifies that, when binding to a method, the types of the arguments passed to the binder are required to be the same as the types of

  the corresponding parameters in the method signature.

  Custom binders are allowed to ignore this flag. This flag is provided as a hint for custom binders.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags FlattenHierarchy To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags GetField

  Specifies that the value of a field will be returned.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags GetProperty

  Specifies that the value of a property will be returned by invoking the accessor of a instance that reflects that property.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags IgnoreCase

  Specifies that a member name will be handled in a case-insensitive manner when binding.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags IgnoreReturn To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags Instance

  Specifies that instance members will be included in the binding search.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags InvokeMethod

  Specifies that a method will be invoked.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags NonPublic

  Specifies that non-public (i.e. family and private) members will be included in the binding search if the search has the permission required to bind non-public members.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags OptionalParamBinding

  Specifies that the set of members whose parameter count matches the number of arguments supplied to the binding method are to be returned by the binding method. This flag is used in conjunction with methods that have parameters with default values and with methods that have variable arguments.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags Public

  Specifies that public members will be included in the binding search.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags PutDispProperty To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags PutRefDispProperty To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags SetField

  Specifies that the value of a field will be set.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags SetProperty

  Specifies that the value of a property will be set by invoking the accessor of a instance that reflects that property.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags Static

  Specifies that static members will be included in the binding search.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.BindingFlags SuppressChangeType

  Specifies that the system will not change the types of parameters when binding with the default binder.

  Custom binders are allowed to ignore this flag. This flag is provided as a hint for custom binders. To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
0